package com.fs.qw.vo;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import com.fs.company.domain.Company;
import com.fs.company.domain.CompanyUser;
import com.fs.qw.domain.QwExternalContact;
import com.fs.qw.domain.QwUser;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
public class QwUserVoiceLogTotalVo extends BaseEntity {

    /** id */
    private Long id;

    /** 外部联系人id */
    //@Excel(name = "外部联系人id")
    private Long extId;

    //@Excel(name = "外部联系人名称")
    private String extName;

    /** 企微用户id */
    //@Excel(name = "企微用户id")
    private Long qwUserId;

    @Excel(name = "企微用户名称")
    private String qwUserName;

    /** 时长秒 */
    @Excel(name = "时长秒")
    private Long duration;

    /** 标题 */
    //@Excel(name = "标题")
    private String title;

    /** 1接听 2未接 */
    //@Excel(name = "接听状态,1接听 2未接")
    private Long status;

    /** 企微id */
    //@Excel(name = "企微id")
    private String corpId;

    /** 公司id */
    //@Excel(name = "公司id")
    private Long companyId;

    //@Excel(name = "公司名称")
    private String companyName;

    /** 销售用户id */
    //@Excel(name = "销售用户id")
    private Long companyUserId;

    //@Excel(name = "销售用户名称")
    private String companyUserName;

    //接通数量
    @Excel(name = "接通数量")
    private Long connectCount;
    //未接通数量
    @Excel(name = "未接通数量")
    private Long noConnectCount;

    private QwExternalContact qwExternalContact;

    private Company company;

    private CompanyUser companyUser;

    private QwUser qwUser;


    public Long getConnectCount() {
        return connectCount;
    }

    public void setConnectCount(Long connectCount) {
        this.connectCount = connectCount;
    }

    public Long getNoConnectCount() {
        return noConnectCount;
    }

    public void setNoConnectCount(Long noConnectCount) {
        this.noConnectCount = noConnectCount;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExtId() {
        return extId;
    }

    public void setExtId(Long extId) {
        this.extId = extId;
    }

    public String getExtName() {
        return extName;
    }

    public void setExtName(String extName) {
        this.extName = extName;
    }

    public Long getQwUserId() {
        return qwUserId;
    }

    public void setQwUserId(Long qwUserId) {
        this.qwUserId = qwUserId;
    }

    public String getQwUserName() {
        return qwUserName;
    }

    public void setQwUserName(String qwUserName) {
        this.qwUserName = qwUserName;
    }

    public Long getDuration() {
        return duration;
    }

    public void setDuration(Long duration) {
        this.duration = duration;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Long getStatus() {
        return status;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public String getCorpId() {
        return corpId;
    }

    public void setCorpId(String corpId) {
        this.corpId = corpId;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public Long getCompanyUserId() {
        return companyUserId;
    }

    public void setCompanyUserId(Long companyUserId) {
        this.companyUserId = companyUserId;
    }

    public String getCompanyUserName() {
        return companyUserName;
    }

    public void setCompanyUserName(String companyUserName) {
        this.companyUserName = companyUserName;
    }

    public QwExternalContact getQwExternalContact() {
        return qwExternalContact;
    }

    public void setQwExternalContact(QwExternalContact qwExternalContact) {
        this.qwExternalContact = qwExternalContact;
    }

    public Company getCompany() {
        return company;
    }

    public void setCompany(Company company) {
        this.company = company;
    }

    public CompanyUser getCompanyUser() {
        return companyUser;
    }

    public void setCompanyUser(CompanyUser companyUser) {
        this.companyUser = companyUser;
    }

    public QwUser getQwUser() {
        return qwUser;
    }

    public void setQwUser(QwUser qwUser) {
        this.qwUser = qwUser;
    }
}
